Bug 142326 - cdda2wav package missing from WS and AS channels
cdda2wav package missing from WS and AS channels
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: distribution (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Riek
Depends On:
  Show dependency treegraph
Reported: 2004-12-08 18:02 EST by Northwestern Support
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:11:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Rebuild of cdrtools-2.01.0.a32-0.EL33.1.src.rpm package creates cdda2wav-2.01.0.a32-0.EL3.1.i386.rpm file (1.66 KB, text/plain)
2004-12-09 19:44 EST, Northwestern Support
no flags Details

  None (edit)
Description Northwestern Support 2004-12-08 18:02:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041123 Firefox/1.0

Description of problem:
The 'cdda2wav' package is missing from the RHEL3 WS and AS channels. 
This is odd since the mkisofs, cdrecord, and cdrecord-devel packages
are present.  All four of these packages come from the same source RPM
(cdrtools), and cdda2wav is built if the cdrtools-2.01.0.a32-0.EL3.1
source package is rebuilt.

At least one package (xcdroast) requires the cdda2wav package, and it
cannot be installed due to a failed dependency on cdda2wav.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Install RHEL3
2.  Register system with RHN.
3.  Try to install 'cdda2wav'.  This will fail.
4.  Try to install any of:  cdrecord, cdrecord-devel, or mkisofs. 
This will succeed.

Actual Results:  1)  The cdda2wav package is not installed.

Expected Results:  cdda2wav package should be installed.  This is true
both when installing directly ("up2date -i cdda2wav") and indirectly
as a dependency ("up2date -i xcdroast").

Additional info:

Output from running 'up2date':

[root@lisboa root]# up2date -i cdda2wav
Invalid group id server-cfg

Fetching Obsoletes list for channel: rhel-i386-ws-3...

Fetching Obsoletes list for channel: rhel-i386-ws-3-extras...

Fetching Obsoletes list for channel: nwu-custom...

Fetching rpm headers...

Name                                    Version        Rel     

The following packages you requested were not found:
Comment 1 Dennis Gregorovic 2004-12-09 16:43:09 EST
xcdroast and cdda2wav are not in RHEL 3
Comment 2 Northwestern Support 2004-12-09 19:44:52 EST
Created attachment 108286 [details]
Rebuild of cdrtools-2.01.0.a32-0.EL33.1.src.rpm package creates cdda2wav-2.01.0.a32-0.EL3.1.i386.rpm file

This is the output (edited for brevity) from rebuilding the
cdrtools-2.01.0.a32-0.EL33.1.src.rpm package.  It creates a binary cdda2wav rpm
file, as well as binary packages for mkisofs, cdrecord, and cdrecord-devel.
Comment 3 Northwestern Support 2004-12-09 19:47:43 EST
If they aren't in RHEL3, then why are mkisofs, cdrecord, and
cdrecord-devel included?  Alternately, why does cdrtools include
cdda2wav?  These four packages all come from the cdrtools source
package.  Please see the attached file for a demonstration.

If cdda2wav is to be excluded, then I would expect it to be broken
into a seperate src.rpm file, instead of quietly being included in the
cdrtools source package.

I agree that xcdroast is not part of RHEL3, it merely was used in as
an example of a package that has cdda2wav as a dependency.
Comment 6 David Lawrence 2006-03-10 11:37:22 EST
NEEDINFO_PM has been deprecated. Changing status to NEEDINFO and changing
ownership to pm manager.
Comment 11 RHEL Product and Program Management 2007-10-19 15:11:52 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.